import RecordSetCom from '../chatComponents/recordSetCom/RecordSetCom.vue';
import NormalTextCom from '../chatComponents/normalTextCom/NormalTextCom.vue';
import knowledgeCom from '../chatComponents/knowledgeCom/KnowledgeCom.vue';
import SummaryCom from '../chatComponents/summaryCom/SummaryCom.vue';

import assistantPic from '../images/assistant.jpg';
import userPic from '../images/user.svg';
export const enum AnswerType {
	Knowledge = 'knowledge',
	RecordSet = 'recordset',
	Text = 'text',
	Summary = 'summary',
	Url = 'url',
	Map = 'map',
}

export const answerTypeMapCom = {
	[AnswerType.Knowledge]: knowledgeCom,
	[AnswerType.RecordSet]: RecordSetCom,
	[AnswerType.Text]: NormalTextCom,
	[AnswerType.Summary]: SummaryCom,
};

export const enum RoleEnum {
	user = 'user',
	assistant = 'assistant',
	system = 'system',
}
export const AnswerState = {
	Null: null,
	Like: '1',
	Unlike: '0',
};

export type AnswerStateType = typeof AnswerState;
export type ContextHistory = {
	/** @description 数字字符串 */
	ratio:string;
	history_id:string;
	question:string;
}
export type ChatContent = {
	type: AnswerType;
	values: any;
	msg?: string;
	askMoreList?:ContextHistory[];
	errCode?:string;
};

export interface ChatMessage {
	historyId: string;
	role: RoleEnum;
	content?: ChatContent;
	state?: null | '1' | '0';
}

export const roleImageMap = {
	[RoleEnum.user]: userPic,
	[RoleEnum.assistant]: assistantPic,
	[RoleEnum.system]: userPic,
};
